Buy VPN - Never trust a VPN Provider that doesn't take Bitcoin
Welcome everybody to the new FrostWire forums.

Expect a bit of breakage the following days as we adjust to this new platform.

We thank you for your patience.
-FrostWire Team

Update 1.2.0.16

I can't get it to install any updates. Every time I start up Frostwire, it asks me if I want to install the most recent update even though I just tried to install the latest update.. I'm using Ubuntu Studio.

Leave a Comment